%define version 1.6.0
%define release 1
%define pname    check_updates
%define _plugindir /usr/lib/nagios/plugins

Summary:	A Nagios plugin to check if RedHat or Fedora system is up-to-date
Name:		nagios-plugins-check_updates
Version:	%{version}
Release:	1.1
License:	GPL
Packager:	Matteo Corti <matteo.corti@id.ethz.ch>
Group:		Applications/System
BuildRoot:	%{_tmppath}/%{pname}-%{version}-root
Source:		http://www.id.ethz.ch/people/allid_list/corti/%{pname}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	perl perl(Nagios::Plugin) perl(Nagios::Plugin::Threshold) perl(Getopt::Long) perl(List::MoreUtils) perl(List::Util) perl(Number::Format) perl(POSIX) perl(Sort::Versions)
Requires:	perl perl(Nagios::Plugin) perl(Nagios::Plugin::Threshold) perl(Getopt::Long) perl(List::MoreUtils) perl(List::Util) perl(Number::Format) perl(POSIX) perl(Sort::Versions)
%description
A Nagios plugin to check if RedHat or Fedora system is up-to-date

%prep
%setup -q -n %{pname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{_plugindir} \
    INSTALLVENDORSCRIPT=%{_plugindir}
%__make
#__perl Makefile.PL INSTALLSCRIPT=%{_plugindir} \
#        INSTALLSITEMAN3DIR=%{_mandir}/man3 \
#	INSTALLSITESCRIPT=%{_plugindir} \
#        INSTALLSCRIPT=%{_plugindir}
#__make
chmod -x AUTHORS Changes NEWS README INSTALL TODO COPYING

%install
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/lib/perl5
rm -rf %{buildroot}%{_prefix}/%{_lib}/perl5
rm -rf %{buildroot}%{_datadir}/perl5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING
%dir %dir %{_prefix}/lib/nagios
%dir %dir %{_prefix}/lib/nagios/plugins
%attr(0755, root, root) %{_plugindir}/%{pname}
%attr(0644, root, root) %{_mandir}/man1/%{pname}.1*

%changelog
* Sat Jul  7 2012 cs@linux-administrator.com
- update to release 1.6.0
* Mon Dec 12 2011 cs@linux-administrator.com
- update to release 1.5.2
* Mon Oct  3 2011 cs@linux-administrator.com
- update to release 1.5.0
